* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background-color: #f8f9fa;
    color: #000000;
    line-height: 1.6;
}
html{
    scroll-behavior: smooth;
}

header {
    background: #ffffff71;
    backdrop-filter: blur(7px);
    color: #000000;
    padding: 1rem 2rem;
    display: flex;
    justify-content: space-around ;
    align-items: center;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
}
.menu-toggle{
    display: none;
}
.logo {
    color: #010035;
    font-size: 1.8rem;
    font-weight: bold;
}
nav{
    display: flex;
    align-items: center;
    gap: 20px;
}
nav ul {
    list-style: none;
    display: flex;
}

nav ul li {
    margin-left: 20px;
}

nav ul li a {
    color: #000000;
    text-decoration: none;
    font-size: 1.1rem;
    transition: color 0.3s;
}

nav ul li a:hover {
    color: #108501;
}
#nav-ship-now{
    display: none;
}
.ship-now button:hover{
    background-color: #010035;
}

.hero {
    height: auto;
    display: flex;
    justify-content: center;
    text-align: left;
    padding-top: 140px;
    padding-bottom: 50px;
    background: white;
}

.hero-content {
    max-width: 50%;
}
.hero-content h1 {
    line-height: 90px;
    color: #108501;
    font-size: 4.3rem;
    font-weight: 500;

    span{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-weight: 800;
        color: #010035;
    }
}

.hero-content p {
    font-size: 15px;
    color: #010035;
    margin-bottom: 20px;
}

.btn {
    display: inline-block;
    background: #108501;
    color: #fff;
    padding: 10px 15px;
    font-size: 14px;
    text-decoration: none;
    border-radius: 5px;
    transition: background 0.3s ease;
}

.btn:hover {
    background: #0a5700;
}

.hero-img {
    margin-top: 0px;
    width: 35%;
    height: 350px;

    img{
        height: 100%;
    }
}

.services h2{
    margin-top: 50px;
    margin-bottom: 30px;
    font-size: 30px;
}

hr{
    border:1px solid #0a57009c;
}
.service-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    padding: 2rem;
}

.service {
    
    padding: 1.5rem;
    border-radius: 10px;
    text-align: left;
    transition: transform 0.3s;

    .fa-solid{
        font-size: 30px;
        margin-bottom: 10px;
        color: #108501;
    }
}

.service:hover {
    transform: translateY(-5px);
}

section {
    padding: 2rem;
    text-align: center;
}

.cta{
    padding: 80px;

    @media (max-width: 1400px) {
        padding: 50px;
    }

    .cta-card{
        background: linear-gradient(to bottom, #a9ff9e, #e2ffde);
        padding: 30px;
        border-radius: 15px;
        height: 400px;
        text-align: left;
        transition: background .3s ease-in-out;


        h3{
            text-align: left;
            font-size: 25px;
            margin-bottom: 50px;
        }

        .cta-container{
            display: flex;
            align-items: center;
        }
        .cta-heading{
            width: 45%;

            h2{
                font-size: 60px;
                line-height: 70px;
                font-weight: 800;

                @media (max-width: 1400px) {
                    font-size: 50px;
                    line-height: 50px;
                    font-weight: 700;
                }
            }
        }
        .cta-text{
            width: 45%;

            p{
                margin-bottom: 30px;
                font-size: 23px;
                font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;

                span{
                    font-weight: 600;
                }

                @media (max-width: 1400px) {
                    font-size: 20px;
                }
            }
            a{
                background-color: #ff8800;
                padding: 10px 15px;
                font-size: 19px;
                color: black;
                text-decoration: none;
                border-radius: 6px;
            }
        }
    }
}

.cta-card:hover{
            background: linear-gradient(to bottom, #e2ffde, #a9ff9e);
}

.about{
    padding: 30px;
    text-align: left;

    h2{
        margin-bottom: 0px;
        text-align: left;
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 35px;
        font-weight: bold;
    }
    p{
        margin-top: 0px;
        font-size: 14px;
        margin-bottom: 40px;
    }
    .know-more{
        text-align: right;
        
        a{
            text-decoration: none;
            color: #108501;
        }
    }

    .about-container{
        display: flex;
        overflow-x: scroll;
        scrollbar-width: thin;
        scrollbar-color: #e4e4e4 #bdbdbd00;
        gap: 30px;

        .about-card{
            min-width: 240px;
            max-width: 300px;
            height: 350px;
            padding: 15px;
            background-color: grey;
            border-radius: 10px;

            .fa-solid{
                color: #010035;
                font-size: 29px;
                margin-top: 10px;
                margin-bottom: 25px;
            }
            h3{
                font-size: 22px;
                font-weight: 400;
                margin-bottom: 25px;
                color: #010035;
            }
            p{
                font-size: 15px;
                color: #010035;
            }
        }
    }
}

form input, form textarea {
    width: 100%;
    padding: 12px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

button {
    background: #108501;
    color: #fff;
    padding: 10px 25px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
}

button:hover {
    background: #010035;
}

.contact{
    background-color: #daf5d7;
    padding:50px 20px 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
    gap: 50px;

    @media (max-width: 800px) {
        flex-direction: column;
    }

    .contact-img{
        text-align: center;

        @media (max-width: 800px) {
        width: 100%;
        }
    img{
        height: 500px;
        border-radius: 5px;

        @media (max-width: 800px) {
        height: 400px;
        }
        @media (max-width: 500px) {
        height: 250px;;
        }
    }
    }
    
    .contact-text{
        width: 50%;
        @media (max-width: 800px) {
            width: 100%;
        }

        h2{
            font-size: 50px;
            color: black;
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            font-weight: 800;

            @media (max-width: 800px) {
            font-size: 40px;
            }
            @media (max-width: 500px) {
            font-size: 30px;
            }
        }
        p{
            font-size: 14px;
            margin-bottom: 40px;
        }

        form{
            border-left: 2.5px solid black;
            border-top: 2.5px solid black;
            padding: 30px;

            input{
                border: none;
                border-bottom: 2.5px solid black;
                outline: none;
                background-color: #fff;
                color: #000;
            }
        }
    }
}

footer {
    background: #f1f1f1;
    padding: 30px;

    .footer-container{
        display: flex;
        justify-content: space-around;
        margin-top: 50px;
        margin-bottom: 30px;
        padding: 20px;
        line-height: 40px;

        @media (max-width: 800px) {
            flex-direction: column;
        }

        h2{
            color: #010035;
        }
        h3{
            color: #010035;
            font-size: 16px;
            font-weight: 500;
        }
        p{
            text-align: left;
            font-size: 13px;
            color: grey;
            font-weight: 600;
        }
        a{
            text-decoration: none;
            color: inherit;
        }
    }
    .social-link{
        text-align: center;
        a{
            padding-right: 20px;
            color: grey;
            font-size: 18px;
        }
    }
    p{
        text-align: center;
        color: #010035;
        font-size: 12px;
    }
}

@media (max-width: 1000px) {
    .hero{
        flex-direction: column;
    }
    .hero-content {
    max-width: 100%;
    }
    .hero-content h1 {
        line-height: 70px;
        color: #108501;
        font-size: 4.0rem;
        font-weight: 500;

        span{
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            font-weight: 800;
            color: #010035;
        }
    }

    .hero-content p {
    font-size: 15px;
    color: #010035;
    margin-bottom: 20px;
}

.hero-img {
    margin-top: 0px;
    text-align: center;
    width: 100%;
    height: 350px;

    img{
        height: 100%;
    }
}

.cta{
    padding: 40px;
    .cta-card{
        height: auto;
        .cta-heading{
            h2{
                font-size: 40px;
                font-weight: 700;
                line-height: 50px;
            }
        }

        .cta-text{
            width: 45%;

            p{
                margin-bottom: 20px;
                font-size: 18px;
                
                span{
                    font-weight: 600;
                }
            }
            a{
                background-color: #ff8800;
                padding: 7px 12px;
                font-size: 16px;
                color: black;
                text-decoration: none;
                border-radius: 6px;
            }
    }
}
}
}

@media (max-width: 850px) {
    header{
        justify-content: space-between;
    }
    .menu-toggle{
        display: flex;
        font-weight: bold;
        font-size: 28px;
        cursor: pointer;
    }

    nav ul {
        transform: translateX(-500px);
        position: absolute;
        top: 0;
        height: 100vh;
        width: 80%;
        padding: 20px;
        align-content: center;
        padding-top: 80px;
        background-color: #ffffff;
        border-right: 1px solid #010035;
        left: 0;
        flex-direction: column;
        align-items: left;
        transition: transform .6s ease-in-out;

        li{
            line-height: 70px;
            
            a{
                font-size: 15px;
            }
        }
        #nav-ship-now{
            background-color: #010035;
            display: block;
            margin-top: 40px;
        }
    }

    .ship-now{
        display: none;
    }
    nav ul.active{
        transform: translateX(0px);
    }
    .service-container {
        grid-template-columns: 1fr;
    }

    .hero{
        flex-direction: column;
    }
    .hero-content {
    max-width: 100%;
    }
    .hero-content h1 {
        line-height: 60px;
        color: #108501;
        font-size: 50px;
        font-weight: 500;
        margin-bottom: 20px;

        span{
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            font-weight: 800;
            color: #010035;
        }
    }

    .hero-content p {
    font-size: 15px;
    color: #010035;
    margin-bottom: 20px;
    }
    .hero-img {
    margin-top: 0px;
    text-align: center;
    width: 100%;
    height: 260px;

    img{
        height: 100%;
    }
    }

    .services h2{
        font-size: 25px;
    }

    .cta{
        padding: 20px;
    .cta-card{
        height: auto;
        padding: 15px;
        h3{
            margin-bottom: 20px;
        }
        .cta-heading{
            h2{
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
            }
        }

        .cta-text{
            width: 45%;

            p{
                margin-bottom: 10px;
                font-size: 12px;
                
                span{
                    font-weight: 600;
                }
            }
            a{
                padding: 5px 8px;
                font-size: 12px;
            }
    }
}
}
}

@media (max-width: 520px) {

    .hero-content h1 {
        line-height: 40px;
        font-size: 35px;
        font-weight: 500;
        margin-bottom: 20px;
    }

    .hero-content p {
    font-size: 14px;
    margin-bottom: 20px;
    }
    .hero-img {
    margin-top: 0px;
    text-align: center;
    width: 100%;
    height: 230px;

    img{
        height: 100%;
    }
    }

    .services h2{
    margin-top: 50px;
    margin-bottom: 30px;
    font-size: 20px;
    }


    .cta{
        padding: 20px;
    .cta-card{
        height: auto;
        padding: 10px;
        h3{
            margin-bottom: 10px;
            font-size: 20px;
        }
        .cta-heading{
            h2{
                font-size: 20px;
                font-weight: 600;
                line-height: 25px;
            }
        }

        .cta-text{
            width: 45%;

            p{
                margin-bottom: 10px;
                font-size: 8px;
                
                span{
                    font-weight: 600;
                }
            }
            a{
                padding: 4px 6px;
                font-size: 8px;
            }
    }
}
}

}
